# Gimp.context_set_line_dash_pattern

    function context_set_line_dash_pattern(dashes: Array(Number(gdouble))): Boolean {
        // Gjs wrapper for gimp_context_set_line_dash_pattern()
    }

Set the line dash pattern setting.

Modifies the line dash pattern setting for stroking lines.

The unit of the dash pattern segments is the actual line width used for the stroke operation, in other words a segment length of 1.0 results in a square segment shape (or gap shape).

This setting affects the following procedures: Gimp.Drawable.prototype.edit_stroke_selection, Gimp.Drawable.prototype.edit_stroke_item.

Since 2.10

dashes

  The line dash pattern setting.

Returns

  TRUE on success.